# xarray.ufuncs.logical_xor

`xarray.ufuncs.``logical_xor` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.logical_xor. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  logical_xor(x1, x2, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Compute the truth value of x1 XOR x2, element-wise.

  Parameters:

  x1, x2 : array_like

  > Logical XOR is applied to the elements of x1 and x2. They must be broadcastable to the same shape.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  y : bool or ndarray of bool

  > Boolean result of the logical XOR operation applied to the elements of x1 and x2; the shape is determined by whether or not broadcasting of one or both arrays was required.

  See also

  `logical_and`, `logical_or`, `logical_not`, `bitwise_xor`

  Examples

      >>> np.logical_xor(True, False)
      True
      >>> np.logical_xor([True, True, False, False], [True, False, True, False])
      array([False,  True,  True, False], dtype=bool)

      >>> x = np.arange(5)
      >>> np.logical_xor(x < 1, x > 3)
      array([ True, False, False, False,  True], dtype=bool)

  Simple example showing support of broadcasting

      >>> np.logical_xor(0, np.eye(2))
      array([[ True, False],
             [False,  True]], dtype=bool)